package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class TeachingRecordBaseInfo {

    @ApiModelProperty(value = "总统课次",required = false)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = false)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "未上课时",required = false)
    private Integer courseNoStartNum;

    @ApiModelProperty(value = "已消耗课时",required = false)
    private Integer courseEndNum;

    @ApiModelProperty(value = "已结算数量")
    private Integer isSalaryNum;

    @ApiModelProperty(value = "被投诉数量")
    private Integer complaintsNum;

    public Integer getCourseNoStartNum() {
        return courseNoStartNum;
    }

    public void setCourseNoStartNum(Integer courseNoStartNum) {
        this.courseNoStartNum = courseNoStartNum;
    }

    public Integer getCourseEndNum() {
        return courseEndNum;
    }

    public void setCourseEndNum(Integer courseEndNum) {
        this.courseEndNum = courseEndNum;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getIsSalaryNum() {
        return isSalaryNum;
    }

    public void setIsSalaryNum(Integer isSalaryNum) {
        this.isSalaryNum = isSalaryNum;
    }

    public Integer getComplaintsNum() {
        return complaintsNum;
    }

    public void setComplaintsNum(Integer complaintsNum) {
        this.complaintsNum = complaintsNum;
    }
}
